Contents

# Eqv Operator

Počíta logickú ekvivalenciu dvoch výrazov.

## Syntax:

    Výsledok = Výraz1 Eqv Výraz2

## Paremetre:

Výsledok: Číselná premenná, ktorá obsahuje výsledok porovnávania.

Výraz1, Výraz2: Výrazy, ktoré chceš porovnávať.

Pri testovaní ekvivalencie medzi logickými výrazmi je výsledok True, ak sú oba výrazy buď True alebo False.

Pri bitovom porovnávaní nastaví operátor Eqv korešpondujúce bity vo výsledku, iba ak je bit nastavený v oboch výrazoch alebo ani v jednom.

## Príklad:

    Sub ExampleEqv
    Dim A As Variant, B As Variant, C As Variant, D As Variantsee #i38265
    Dim vOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vOut = A > B Eqv B > C REM vracia -1
        vOut = B > A Eqv B > C REM vracia 0
        vOut = A > B Eqv B > C REM vracia 0
        vOut = (B > D Eqv B > A) REM vracia -1
        vOut = B Eqv A REM vracia -3
    End Sub